var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
import { Type } from '@sinclair/typebox';
import { StringUnion } from 'utils/widget-helper';
import { BaseChartSpec, SeriesSpec } from './Chart';
export var LineSpecObject = {
    symbol: StringUnion(['circle', 'rect', 'roundRect', 'triangle', 'diamond', 'pin', 'arrow', 'none'], {
        title: 'Symbol',
    }),
    showSymbol: Type.Boolean({
        title: 'Show Symbol',
    }),
    smooth: Type.Boolean({
        title: 'Smooth',
    }),
    activeAreaStyle: Type.Boolean({
        title: 'Active Area Style',
    }),
};
export var LineConditions = [
    {
        key: 'type',
        value: 'line',
    },
];
export var LineChartPropsSpec = __assign(__assign({}, BaseChartSpec), { series: Type.Array(Type.Object(__assign(__assign({}, SeriesSpec), LineSpecObject)), {
        title: 'Series',
        category: 'Series',
        widget: 'core/v1/array',
        widgetOptions: {
            displayedKeys: ['name'],
        },
    }) });
